CVE-2002-2102
CVSS5.0
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:20
NMCO    

[原文]InfBlocks.java in JCraft JZlib before 0.0.7 allow remote attackers to cause a denial of service (NullPointerException) via an invalid block of deflated data.


[CNNVD]JZLib服务拒绝漏洞(CNNVD-200212-331)

        JCraft JZlib 0.0.7之前版本InfBlocks.java存在漏洞。远程攻击者借助借助一个无效的平减数据块导致服务拒绝(NullPointerException)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:jcraft:jzlib:0.0.3
cpe:/a:jcraft:jzlib:0.0.1
cpe:/a:jcraft:jzlib:0.0.6
cpe:/a:jcraft:jzlib:0.0.2
cpe:/a:jcraft:jzlib:0.0.5
cpe:/a:jcraft:jzlib:0.0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2102
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2102
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-331
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4359
(PATCH)  BID  4359
http://www.jcraft.com/jzlib/ChangeLog
(UNKNOWN)  CONFIRM  http://www.jcraft.com/jzlib/ChangeLog
http://www.iss.net/security_center/static/8627.php
(UNKNOWN)  XF  jzlib-infblocks-dos(8627)

- 漏洞信息

JZLib服务拒绝漏洞
中危 设计错误
2002-12-31 00:00:00 2005-10-20 00:00:00
远程※本地  
        JCraft JZlib 0.0.7之前版本InfBlocks.java存在漏洞。远程攻击者借助借助一个无效的平减数据块导致服务拒绝(NullPointerException)。

- 公告与补丁

        This issue has been addressed in JZlib 0.0.7. Those affected by this vulnerability are advised to upgrade.
        JCraft JZlib 0.0.1
        
        JCraft JZlib 0.0.2
        
        JCraft JZlib 0.0.3
        
        JCraft JZlib 0.0.4
        
        JCraft JZlib 0.0.5
        
        JCraft JZlib 0.0.6
        

- 漏洞信息

19766
JCraft JZlib InfBlocks.java Invalid Block Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-12-20 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.0.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站